> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create OAuth Provider URL

> Create a URL to authenticate with an OAuth provider for a specific organization.



## OpenAPI

````yaml https://api.useinvent.com/openapi.json post /orgs/{org_id}/connections/oauth/url
openapi: 3.1.0
info:
  version: 1.0.0
  title: Invent API
servers:
  - url: https://api.useinvent.com
security:
  - bearerAuth: []
paths:
  /orgs/{org_id}/connections/oauth/url:
    post:
      tags:
        - Orgs Connections
      summary: Create OAuth Provider URL
      description: >-
        Create a URL to authenticate with an OAuth provider for a specific
        organization.
      parameters:
        - schema:
            type: string
          required: true
          name: org_id
          in: path
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateConnectionOAuthUrlSchema'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/CreateConnectionOAuthUrlSchema'
      responses:
        '200':
          description: The URL to redirect the user to for OAuth authentication.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConnectionOAuthUrlSchema'
components:
  schemas:
    CreateConnectionOAuthUrlSchema:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/ConnectionTypeSchema'
        connection_id:
          type: string
          maxLength: 128
        subdomain:
          type: string
          pattern: ^[a-z0-9-]+$
          description: The subdomain of the OAuth provider
        external_redirect_url:
          type: string
          maxLength: 2048
      required:
        - type
      description: Create OAuth provider URL
    ConnectionOAuthUrlSchema:
      type: object
      properties:
        url:
          type: string
      required:
        - url
      description: OAuth provider authentication URL
    ConnectionTypeSchema:
      type: string
      enum:
        - SCHEDULER
        - WORKFLOWS
        - TOOLS
        - FILES
        - EMAILS
        - HTTP_CREDENTIALS
        - TABLES
        - PAGES
        - KNOWLEDGE
        - SKILLS
        - CONTACTS
        - SEGMENTS
        - ASSISTANTS
        - INBOX
        - MEMBERS
        - BROADCASTS
        - ANALYTICS
        - AUDIT
        - PHONE
        - GMAIL
        - GOOGLE_SHEETS
        - GOOGLE_CALENDAR
        - GOOGLE_DRIVE
        - OUTLOOK_CALENDAR
        - AIRTABLE
        - NOTION
        - LINEAR
        - HUBSPOT
        - GOHIGHLEVEL
        - CAL
        - CALENDLY
        - RESEND
        - OAUTH
        - SLACK
        - TELEGRAM
        - TRELLO
        - FACEBOOK
        - WHATSAPP
        - INSTAGRAM
        - MESSENGER
        - TIKTOK
        - JAPIFON
        - TWILIO
        - TELNYX
        - ZOHO
        - ZOHO_BOOKINGS
        - ZOHO_INVENTORY
        - ZOHO_CALENDAR
        - SALESFORCE
        - STRIPE
        - SHOPIFY
        - ZENDESK
        - MCP
        - ODOO
        - WOOCOMMERCE
      description: Connection type
      example: SLACK
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Bearer token authentication using your API key

````